#ifndef FEATUREMATCHING
#define FEATUREMATCHING

#include <QList>
#include <QPolygonF>
#include "opencv2/core.hpp"

class FeatureMatching
{
public:
    FeatureMatching(cv::Mat image1, cv::Mat image2, QPolygonF polyArea1, QPolygonF polyArea2);

    void getSIFTKeyPoints();
    void getSIFTDescriptors();
    void matchSIFT();
    void getORBKeyPoints();
    void getORBDescriptors();
    void matchORB();
    void getGoodMatches(int distance=100);

    std::vector<cv::KeyPoint> keyPoints1;
    std::vector<cv::KeyPoint> keyPoints2;
    std::vector<cv::DMatch > good_matches;

private:
    cv::Mat image1;
    cv::Mat image2;
    QPolygonF polyArea1;
    QPolygonF polyArea2;
    cv::Mat descriptor1;
    cv::Mat descriptor2;
    std::vector<cv::DMatch > matches;

};
#endif // FEATUREMATCHING

