#ifndef GRABCUT
#define GRABCUT

#include <QtCore>
#include <QPolygonF>
#include "opencv2/core.hpp"
#include "opencv2/highgui.hpp"

class GrabCut
{
public:
    explicit GrabCut(QString framePath, QPolygonF polyArea);
    void segmentImage(int iteration, int method);
    const QPolygonF getObjectBondary();

    cv::Mat imageSegmented;
    QPolygonF objectBondary;

private:
    static void getBinMask(const cv::Mat& comMask, cv::Mat& binMask);
    cv::Mat image;


};


#endif // GRABCUT

